## gstreamer1.0 1.16.2

=== meson_options.txt ===
option('gst_debug', type : 'boolean', value : true)
option('gst_parse', type : 'boolean', value : true,
       description: 'Enable pipeline string parser')
option('registry', type : 'boolean', value : true)
option('tracer_hooks', type : 'boolean', value : true)
option('ptp-helper-setuid-user', type : 'string',
       description : 'User to switch to when installing gst-ptp-helper setuid root')
option('ptp-helper-setuid-group', type : 'string',
       description : 'Group to switch to when installing gst-ptp-helper setuid root')
option('ptp-helper-permissions', type : 'combo',
       choices : ['none', 'setuid-root', 'capabilities', 'auto'], value : 'auto')
option('extra-checks', type : 'boolean', value : true, description : 'Enable extra runtime checks')
option('option-parsing', type : 'boolean', value : true,
       description: 'Enable command line option parsing')
option('poisoning', type : 'boolean', value : false, description : 'Enable poisoning of deallocated objects')
option('memory-alignment', type: 'combo',
       choices : ['1', '2', '4', '8', '16', '32', '64', '128', '256', '512', '1024', '2048', '4096', '8192', 'malloc', 'pagesize'],
       value: 'malloc')

# Feature options
option('check', type : 'feature', value : 'auto', description : 'Build unit test libraries')
option('libunwind', type : 'feature', value : 'auto', description : 'Use libunwind to generate backtraces')
option('libdw', type : 'feature', value : 'auto', description : 'Use libdw to generate better backtraces from libunwind')
option('dbghelp', type : 'feature', value : 'auto', description : 'Use dbghelp to generate backtraces')
option('bash-completion', type : 'feature', value : 'auto', description : 'Install bash completion files')

# Common feature options
option('examples', type : 'feature', value : 'auto', yield : true)
option('tests', type : 'feature', value : 'auto', yield : true)
option('benchmarks', type : 'feature', value : 'auto', yield : true)
option('tools', type : 'feature', value : 'auto', yield : true)
option('gtk_doc', type : 'feature', value : 'auto', yield : true, description : 'Generate API documentation with gtk-doc')
option('introspection', type : 'feature', value : 'auto', yield : true, description : 'Generate gobject-introspection bindings')
option('nls', type : 'feature', value : 'auto', yield: true, description : 'Enable native language support (translations)')
option('gobject-cast-checks', type : 'feature', value : 'auto', yield : true,
       description: 'Enable run-time GObject cast checks (auto = enabled for development, disabled for stable releases)')
option('glib-asserts', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib assertion (auto = enabled for development, disabled for stable releases)')
option('glib-checks', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib checks such as API guards (auto = enabled for development, disabled for stable releases)')

# Common options
option('package-name', type : 'string', yield : true,
       description : 'package name to use in plugins')
option('package-origin', type : 'string', value : 'Unknown package origin', yield : true,
       description : 'package origin URL to use in plugins')

## gstreamer1.0 0.11.91

=== debian/changelog ===
gstreamer1.0 (0.11.91-1) experimental; urgency=low

  * New upstream release, "I will give you five magic beans!":
    + debian/libgstreamer.symbols:
      - Update symbols file.
  * debian/libgstreamer-dev.install:
    + Don't ship useless .la file for the core plugins.
    + Don't ship .a and .la files for the library.
  * debian/control.in:
    + Update debhelper dependency version and Standards-Version.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 21 May 2012 11:14:06 +0200

gstreamer1.0 (0.11.90-1) experimental; urgency=low

  [ Olivier Naudan ]
  * Imported Upstream version 0.11.90
  * debian/rules and debian/changelog: migration to 1.0
  * debian/control*: aligned libglib2.0-dev version requirement with configure.ac
  * gst-codec-info.c: migration to gst 1.0
  * Updated debian/patches to use GST_API_VERSION
  * Refreshed 99_ltmain_as-needed.patch to apply cleanly again
  * debian/control: updated package names with 1.0
  * Updated debian/libgstreamer.symbols based on upstream 0.11.90
  * debian/control*: added a new build-dep on libxml2-dev

  [ Sebastian Dröge ]
  * Fix symbols file versions.
  * 79_multiarch-backwards-compat.patch: Dropped, there's no need for
    backwards compatibility anymore.
  * Remove libxml2-dev build-dependency again.
  * Update copyright.
  * 80_ia32-hack.patch: Dropped, shouldn't be needed anymore.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 02 May 2012 17:27:44 +0200

gstreamer0.11 (0.11.1-3) UNRELEASED; urgency=low

  [ Sebastian Dröge ]
  * debian/control.in:
    + Don't (build-) depend on libxml2.
    + Build-depend on automake (>= 1.10), autoconf (>= 2.60) and
      libtool (>= 2.0) to make dh-autoreconf actually work.

  [ Loïc Minier ]
  * Only track 0.11.* versions in watch file.
  * Update my email address in control.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Dec 2011 12:18:43 +0100

gstreamer0.11 (0.11.1-2) experimental; urgency=low

  * debian/control.in:
    + Build-depend on GLib 2.26.
  * debian/dh_gstscancodecs:
    + Fix for multi-arch to look in the correct directories.
      Patch by YunQiang Su <wzssyqa@gmail.com>.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 13 Dec 2011 10:11:55 +0100

gstreamer0.11 (0.11.1-1) experimental; urgency=low

  [ Nicolas Dechesne ]
  * New upstream release.
    + debian/libstreamer.symbols
    + debian/control.in
      - removed unversioned gstreamer-tools since removed upstream
      - removed old Replaces/Conflicts which no longer make sense on 0.11
    + debian/rules
      - updated abi number
    + misc
      - removed xmllaunch, feedback and xmlinspect
      - replaced reference to GST_PLUGIN_FEATURE_NAME to GST_OBJECT_NAME

  [ Sebastian Dröge ]
  * debian/copyright:
    + Clean up, fix and complete copyright file.
  * Merge 0.10.35.2-1.
  * Upload to experimental

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Dec 2011 11:44:42 +0100

gstreamer0.10 (0.10.35.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control.in:
      - Build-depend on GLib >= 2.24.
    + debian/patches/99_ltmain_as-needed.patch:
      - Refreshed to apply cleanly again.
    + debian/libgstreamer.symbols:
      - Update symbols file with new API.
  * debian/rules:
    + Remove all dependency_libs from the .la files (Closes: #633319).
  * debian/control.in:
    + Put GI package into section introspection.
  * debian/compat,
    debian/control.in,
    debian/gir1.2-gstreamer.install,
    debian/libgstreamer-dev.install,
    debian/libgstreamer.install,
    debian/patches/79_multiarch-backwards-compat.patch,
    debian/patches/80_ia32-hack.patch,
    debian/rules:
    + Transition package to multi-arch (Closes: #647481).
      Patch taken from the Ubuntu package.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 11 Dec 2011 18:52:12 +0100

gstreamer0.10 (0.10.35-1) unstable; urgency=low

  * New upstream bugfix release, "Nuclear Fission".

 -- Sebastian Dröge <slomo@debian.org>  Thu, 23 Jun 2011 08:48:30 +0200

gstreamer0.10 (0.10.34-1) unstable; urgency=low

  * New upstream bugfix release, "Misfits".

 -- Sebastian Dröge <slomo@debian.org>  Sat, 14 May 2011 11:41:04 +0200

gstreamer0.10 (0.10.33-1) unstable; urgency=low

  * New upstream release, "Prior Spaceflight Experience is an Advantage":
    + debian/libgstreamer.symbols:
      - Update version of new symbols to 0.10.33.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 May 2011 15:45:19 +0200

gstreamer0.10 (0.10.32.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Apr 2011 14:04:36 +0200

gstreamer0.10 (0.10.32.2-1) experimental; urgency=low

  * debian/control.in:
    + Let the -dev package depend on the GIR package as required by
      the new gobject-introspection policy.

  [ Alessandro Decina ]
  * debian/control.in:
    + Add build dependency on dh-autoreconf.
  * debian/rules:
    + Include dh-autoreconf cdbs rule.

  [ Sebastian Dröge ]
  * New upstream pre-release:
    + debian/patches/01_valve-only-set-discont-once.patch:
      - Dropped, merged upstream.
    + debian/libgstreamer.symbols:
      - Add new API.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 17 Apr 2011 09:45:41 +0200

gstreamer0.10 (0.10.32-6) unstable; urgency=low

  * Upload to unstable for the gobject-introspection transition.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Mar 2011 13:58:41 +0100

gstreamer0.10 (0.10.32-5) experimental; urgency=low

  * debian/control.in:
    + Revert gobject-introspection versio revert and provide
      gir1.2-gstreamer-0.10 again.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Mar 2011 09:26:32 +0100

gstreamer0.10 (0.10.32-4) unstable; urgency=low

  * debian/control.in: Remove Conflict on gst-plugins-bad, the registry
    itself works around it.
  * debian/control.in: Move back to the old gobject-introspection stack as it
    hasn't migrated to unstable yet
  * Both of the above fixes FTBS on unstable (Closes: #615911)



=== debian/control ===
Source: gstreamer1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: Loïc Minier <lool@debian.org>,
           Sebastien Bacher <seb128@debian.org>,
           Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 9),
               cdbs (>= 0.4.93~),
               gnome-pkg-tools (>= 0.7),
               autotools-dev,
               automake (>= 1.10),
               autoconf (>= 2.60),
               libtool (>= 2.0),
               dh-autoreconf,
               autopoint (>= 0.17),
               zlib1g-dev (>= 1:1.1.4),
               libglib2.0-dev (>= 2.31.14),
               libgmp3-dev,
               libgsl0-dev,
               pkg-config (>= 0.11.0),
               bison (>= 1.875),
               flex (>= 2.5.34),
               dpkg-dev (>= 1.15.1),
               perl-doc,
               libgirepository1.0-dev (>= 0.9.12-4~),
               gobject-introspection (>= 0.9.12-4~),
               gir1.2-glib-2.0,
               gir1.2-freedesktop
Build-Depends-Indep: python (>= 2.2),
                     gtk-doc-tools (>= 0.7),
                     jade (>= 1.2.1),
                     transfig (>= 3.2.3.c),
                     docbook-utils (>= 0.6.9),
                     docbook-xml,
                     docbook-xsl,
                     xsltproc (>= 1.0.21),
                     ghostscript,
                     xmlto,
                     netpbm,
                     libglib2.0-doc
Standards-Version: 3.9.3
Homepage: http://gstreamer.freedesktop.org

Package: libgstreamer1.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gstreamer1.0-tools,
          gstreamer1.0-plugins-base
Description: Core GStreamer libraries and elements
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the core library and elements.

Package: libgstreamer1.0-0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libgstreamer1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Core GStreamer libraries and elements
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

Package: libgstreamer1.0-dev
Architecture: any
Section: libdevel
Depends: libgstreamer1.0-0 (= ${binary:Version}),
         libc6-dev | libc-dev,
         pkg-config,
         libglib2.0-dev,
         ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-gstreamer-1.0 (= ${binary:Version})
Recommends: debhelper
Suggests: gstreamer1.0-doc
Description: GStreamer core development files
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains development files for the core library and
 elements.

Package: gstreamer1.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libglib2.0-doc
Recommends: libgstreamer1.0-dev (= ${source:Version})
Description: GStreamer core documentation and manuals
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains documentation for core libraries and elements as
 well as:
  * the GStreamer Manual
  * the GStreamer Plugin Writers Guide
  * Various API docs

Package: gstreamer1.0-tools
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pkg-config,
         libgstreamer1.0-0 (>= 0.11.91)
Suggests: gstreamer1.0-plugins-base
Description: Tools for use with GStreamer
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains versioned command-line tools for GStreamer.

Package: gir1.2-gstreamer-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Description: Description: GObject introspection data for the GStreamer library
 This package contains introspection data for the GStreamer streaming media
 framework.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## gstreamer1.0 0.11.92

=== debian/changelog ===
gstreamer1.0 (0.11.92-1) experimental; urgency=low

  * debian/control.in:
    + Update automake, autoconf and libtool build dependencies.
  * New upstream release, "High Hopes":
    + debian/libgstreamer.symbols:
      - Update symbols file.
  * debian/gst-codec-info.c:
    + Updated for API changes.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 08 Jun 2012 09:38:04 +0200

## gstreamer1.0 0.11.93

=== debian/changelog ===
gstreamer1.0 (0.11.93-2) experimental; urgency=low

  * debian/control.in:
    + Build-depend on GLIB >= 2.23.
  * debian/patches/0001-netclientclock-simplify-by-using-g_socket_condition_.patch:
    + Fix unit test hang that causes the build to fail sometimes.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 10 Aug 2012 12:59:53 +0200

gstreamer1.0 (0.11.93-1) experimental; urgency=low

  * New upstream release:
    + debian/libgstreamer.symbols:
      - Update symbols file.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 08 Aug 2012 18:12:33 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                cdbs (>= 0.4.93~),
                gnome-pkg-tools (>= 0.7),
                autotools-dev,
-               automake (>= 1.10),
-               autoconf (>= 2.60),
-               libtool (>= 2.0),
+               automake (>= 1.11),
+               autoconf (>= 2.62),
+               libtool (>= 2.2.6),
                dh-autoreconf,
                autopoint (>= 0.17),
                zlib1g-dev (>= 1:1.1.4),
-               libglib2.0-dev (>= 2.31.14),
+               libglib2.0-dev (>= 2.32),
                libgmp3-dev,
                libgsl0-dev,
                pkg-config (>= 0.11.0),
@@ -131,7 +131,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer1.0-0 (>= 0.11.91)
+         libgstreamer1.0-0 (>= 0.11.93)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

## gstreamer1.0 0.11.94

=== debian/changelog ===
gstreamer1.0 (0.11.94-1) experimental; urgency=low

  * New upstream release:
    + debian/libgstreamer.symbols:
      - Update symbols file.
    + debian/control.in:
      - Build-depend on gtk-doc >= 1.12.
    + debian/patches/0001-netclientclock-simplify-by-using-g_socket_condition_.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Sep 2012 09:04:41 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                gir1.2-glib-2.0,
                gir1.2-freedesktop
 Build-Depends-Indep: python (>= 2.2),
-                     gtk-doc-tools (>= 0.7),
+                     gtk-doc-tools (>= 1.12),
                      jade (>= 1.2.1),
                      transfig (>= 3.2.3.c),
                      docbook-utils (>= 0.6.9),
@@ -131,7 +131,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer1.0-0 (>= 0.11.93)
+         libgstreamer1.0-0 (>= 0.11.94)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk

export HOME=$(CURDIR)/fake-home

# make autoreconf not call libtoolize since we ship a patch for ltmain.sh
export LIBTOOLIZE=true
# make autoreconf not call autopoint since we ship a patch for po/Makefile.in.in
export AUTOPOINT=true

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
DEB_MAKE_CHECK_TARGET = check || true

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)
gst_major=1
gst_minor=0
gst_abi=$(gst_major).$(gst_minor)
gst_pkgname=gstreamer$(gst_abi)
gst_lib_prefix=libgstreamer$(gst_abi)
# gstreamer library package names
gst_lib=$(gst_lib_prefix)-0
gst_lib_dev=$(gst_lib_prefix)-dev
# gstreamer shlibs
gst_shlibs_dep="$(gst_lib) (>= $(gst_version))"

# debug package
DEB_DH_STRIP_ARGS := --dbg-package=$(gst_lib)-dbg

DEB_COMPRESS_EXCLUDE = .sgml .devhelp .ps .pdf

DEB_INSTALL_DOCS_$(gst_lib)-dbg += common/gst.supp

# disable all CPU specific optimizations in commands launched by this Makefile
# using liboil; this is to work around liboil related build failures which
# are not specially interesting to catch on buildds as these might run very
# specific hardware
OIL_CPU_FLAGS=0
export OIL_CPU_FLAGS

PKGFILES=\
	debian/$(gst_lib).install \
	debian/$(gst_lib).symbols \
	debian/$(gst_lib_dev).install \
	debian/$(gst_lib_dev).preinst \
	debian/$(gst_lib_dev).postrm \
	debian/$(gst_pkgname)-doc.install \
	debian/$(gst_pkgname)-doc.links \
	debian/$(gst_pkgname)-doc.lintian \
	debian/$(gst_pkgname)-tools.install \
	debian/$(gst_pkgname)-tools.links \
	debian/$(gst_pkgname)-tools.manpages \
	debian/gir1.2-gstreamer-$(gst_abi).install

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gstreamer$(gst_abi)"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gstreamer$(gst_abi)"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gstreamer$(gst_abi)"
endif

debian/control:: debian/control.in debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_VERSION@/$(gst_version)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' | \
		sed 's/@GST_LIB@/$(gst_lib)/g' | \
		sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
		> $@

debian/$(gst_lib).dirs: debian/libgstreamer.dirs debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_lib).install: debian/libgstreamer.install debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_lib).symbols: debian/libgstreamer.symbols debian/rules
	rm -f $@
	cp -v $< $@

debian/gir1.2-gstreamer-$(gst_abi).install: debian/gir1.2-gstreamer.install debian/rules
	rm -f $@
	cp -v $< $@

debian/$(gst_lib_dev).install: debian/libgstreamer-dev.install debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_lib_dev).preinst: debian/libgstreamer-dev.preinst debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
		> $@

debian/$(gst_lib_dev).postrm: debian/libgstreamer-dev.postrm debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
		> $@

debian/$(gst_pkgname)-doc.install: debian/gstreamer-doc.install debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_pkgname)-doc.links: debian/gstreamer-doc.links debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_pkgname)-doc.lintian: debian/gstreamer-doc.lintian debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_pkgname)-tools.install: debian/gstreamer-tools-abi.install debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_pkgname)-tools.links: debian/gstreamer-tools-abi.links debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

debian/$(gst_pkgname)-tools.manpages: debian/gstreamer-tools-abi.manpages debian/rules
	rm -f $@
	cat $< | \
		sed 's/@GST_ABI@/$(gst_abi)/g' | \
		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
		sed 's/@GST_LIB_PREFIX@/$(gst_lib_prefix)/g' \
		> $@

maint: debian/control

pre-build:: $(PKGFILES)

clean::
	for f in $(PKGFILES); do \
		rm -f $$f; \
	done
	-rm -f debian/shlibs.local
	-rm -rf $(CURDIR)/fake-home

common_conf_flags = \
	--disable-failing-tests \
	--disable-examples \
	--enable-DEBUG \
	--enable-debug \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/gstreamer$(gst_abi) \
	--with-package-name=$(GST_PACKAGE_NAME) \
	--with-package-origin=$(GST_PACKAGE_ORIGIN)

indep_conf_flags = \
	--with-html-dir=\$${prefix}/share/doc/$(gst_pkgname)-doc

# only build the docs if gtk-doc-tools is installed, i.e. binary-indep is
# called
ifeq ($(shell test "`dpkg -l gtk-doc-tools | grep ^ii`" && echo binary-indep),binary-indep)
indep_conf_flags += --enable-gtk-doc --enable-docbook
endif

DEB_CONFIGURE_EXTRA_FLAGS := $(common_conf_flags) $(indep_conf_flags)

common-install-indep::
	# move around the doc dirs
	mkdir -p debian/tmp/usr/share/doc/$(gst_pkgname)-doc
	-cp -r debian/tmp/usr/share/doc/gstreamer-$(gst_abi)/pwg \
	   debian/tmp/usr/share/doc/gstreamer-$(gst_abi)/manual \
	   debian/tmp/usr/share/doc/gstreamer-$(gst_abi)/faq \
	   debian/tmp/usr/share/doc/$(gst_pkgname)-doc

	# -doc lintian overrides
	mkdir -p debian/$(gst_pkgname)-doc/usr/share/lintian/overrides/
	cp -a debian/$(gst_pkgname)-doc.lintian debian/$(gst_pkgname)-doc/usr/share/lintian/overrides/$(gst_pkgname)-doc

DEB_DH_MAKESHLIBS_ARGS_$(gst_lib) += -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)" -V $(gst_shlibs_dep) -- -c4
DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS
DEB_SHLIBDEPS_INCLUDE += debian/$(gst_lib)/usr/lib/$(DEB_HOST_MULTIARCH)

# override shlibs for libraries from this source before computing dependencies
# of packages generated from this source; we already have inter-dependencies
# expressed manually in the control file, we do not need the shlibs to add
# duplicates
# (this rule runs just before the dh_shlibdeps)
common-binary-fixup-arch::
	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
	dh_girepository -pgir1.2-gstreamer-$(gst_abi)
	rm -rf $(CURDIR)/fake-home
	-rm -f debian/shlibs.local
	cat debian/*/DEBIAN/shlibs | \
		sed -n -r -e 's/(([^ ]+: )?([^ ]+) ([^ ]+)) .*/\1/p' \
			> debian/shlibs.local

# (this rules runs just after the dh_shlibdeps)
common-binary-predeb-arch::
	-rm -f debian/shlibs.local

install/$(gst_lib_dev)::

## gstreamer1.0 0.11.99

=== debian/changelog ===
gstreamer1.0 (0.11.99-1) experimental; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Sep 2012 08:55:08 +0200

## gstreamer1.0 1.0.1

=== debian/changelog ===
gstreamer1.0 (1.0.1-1) unstable; urgency=low

  * New upstream stable release:
    + debian/libgstreamer.symbols:
      - Add new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Oct 2012 09:59:20 +0200

gstreamer1.0 (1.0.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/libgstreamer.symbols:
      - Update symbols file.
    + debian/*:
      - Change remaining parts from 0.11 to 1.0.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 24 Sep 2012 16:28:50 +0200

## gstreamer1.0 1.0.5

=== debian/changelog ===
gstreamer1.0 (1.0.5-1ubuntu1) raring; urgency=low

  * Backport upstream commit 8ce8be7cb8023847c0d076a28d6d3f739e1263d9 to
    include gstenumtypes.* in g-ir-scanner call. Fixes problems with
    introspection and GstState. (LP: #1099942)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 29 Jan 2013 09:48:02 +0000

gstreamer1.0 (1.0.5-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Jan 2013 13:38:27 +0100

gstreamer1.0 (1.0.4-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Dec 2012 10:25:15 +0100

gstreamer1.0 (1.0.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 Nov 2012 14:45:04 +0100

gstreamer1.0 (1.0.2-1) unstable; urgency=low

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Oct 2012 13:23:04 +0200

## gstreamer1.0 1.0.6

=== debian/changelog ===
gstreamer1.0 (1.0.6-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 22 Mar 2013 18:11:46 +0100

## gstreamer1.0 1.0.8

=== debian/changelog ===
gstreamer1.0 (1.0.8-1~bpo70+1) wheezy-backports; urgency=low

  * Backport to Debian Wheezy, no changes required.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Aug 2013 10:10:34 +0200

gstreamer1.0 (1.0.8-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 13 Jul 2013 11:28:24 +0200

gstreamer1.0 (1.0.7-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 26 Apr 2013 14:04:38 +0200

## gstreamer1.0 1.2.0

=== debian/changelog ===
gstreamer1.0 (1.2.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Sep 2013 16:15:18 +0200

gstreamer1.0 (1.1.90-1) experimental; urgency=low

  * New upstream release candidate:
    + debian/libgstreamer.symbols:
      - Add new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Sep 2013 12:39:40 +0200

gstreamer1.0 (1.1.4-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/libgstreamer.symbols:
      - Add new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Aug 2013 12:38:11 +0200

gstreamer1.0 (1.1.3-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/libgstreamer.symbols:
      - Add new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 30 Jul 2013 08:23:31 +0200

gstreamer1.0 (1.1.2-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/libgstreamer.symbols:
      - Add new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 14 Jul 2013 11:01:32 +0200

=== debian/control ===
--- 
+++ 
@@ -131,7 +131,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer1.0-0 (>= 0.11.94)
+         libgstreamer1.0-0 (>= 1.2.0)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

## gstreamer1.0 1.2.1

=== debian/changelog ===
gstreamer1.0 (1.2.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 09 Nov 2013 16:28:11 +0100

## gstreamer1.0 1.2.3

=== debian/changelog ===
gstreamer1.0 (1.2.3-1) unstable; urgency=medium

  [ Iain Lane ]
  * Run libtoolize in autoreconf. Drop ltmain-as-needed patch and use
    dh_autoreconf --as-needed. 

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/libgstreamer.symbols:
      - Add new symbol.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 09 Feb 2014 11:08:32 +0100

gstreamer1.0 (1.2.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 27 Dec 2013 10:51:07 +0100

=== debian/control ===
--- 
+++ 
@@ -131,7 +131,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer1.0-0 (>= 1.2.0)
+         libgstreamer1.0-0 (>= 1.2.3)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

## gstreamer1.0 1.2.4

=== debian/changelog ===
gstreamer1.0 (1.2.4-0ubuntu1.1) trusty-security; urgency=medium

  * No change rebuild in security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 22 Nov 2016 09:18:49 -0500

gstreamer1.0 (1.2.4-0ubuntu1) trusty; urgency=medium

  * Upload Debian bugfix update as a trusty SRU (lp: #1312305)

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Apr 2014 13:41:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gstreamer1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Loïc Minier <lool@debian.org>,
            Sebastien Bacher <seb128@debian.org>,
            Sebastian Dröge <slomo@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,13 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/utils.mk
--include /usr/share/cdbs/1/rules/autoreconf.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
 
 export HOME=$(CURDIR)/fake-home
 
-# make autoreconf not call libtoolize since we ship a patch for ltmain.sh
-export LIBTOOLIZE=true
+DEB_DH_AUTORECONF_ARGS += --as-needed
+
 # make autoreconf not call autopoint since we ship a patch for po/Makefile.in.in
 export AUTOPOINT=true

## gstreamer1.0 1.4.3

=== debian/changelog ===
gstreamer1.0 (1.4.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Sep 2014 12:05:50 +0300

gstreamer1.0 (1.4.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Sep 2014 14:07:28 +0300

gstreamer1.0 (1.4.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Aug 2014 14:27:45 +0300

gstreamer1.0 (1.4.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Jul 2014 16:28:11 +0200

gstreamer1.0 (1.3.91-1) experimental; urgency=medium

  * New upstream release candidate:
    + debian/libgstreamer.symbols:
      - Update for new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 11 Jul 2014 10:41:53 +0200

gstreamer1.0 (1.3.90-1) experimental; urgency=medium

  * New upstream release candidate:
    + debian/libgstreamer.symbols:
      - Update for new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 28 Jun 2014 10:50:47 +0200

gstreamer1.0 (1.3.3-1) experimental; urgency=medium

  * New upstream development release:
    + debian/libgstreamer.symbols:
      - Update for new symbols.
    + debian/rules:
      - Run autopoint too during autoreconf now.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 22 Jun 2014 17:22:51 +0200

gstreamer1.0 (1.3.2-1) experimental; urgency=medium

  * New upstream development release:
    + debian/libgstreamer.symbols:
      - Update for new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 May 2014 11:41:29 +0200

gstreamer1.0 (1.3.1-1) experimental; urgency=medium

  * New upstream development release:
    + debian/control.in:
      - Build-depend on bison >= 2.4.
    + debian/libgstreamer.symbols:
      - Update for new symbols.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 03 May 2014 17:42:16 +0200

gstreamer1.0 (1.2.4-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Apr 2014 15:28:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gstreamer1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Loïc Minier <lool@debian.org>,
            Sebastien Bacher <seb128@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
@@ -21,7 +20,7 @@
                libgmp3-dev,
                libgsl0-dev,
                pkg-config (>= 0.11.0),
-               bison (>= 1.875),
+               bison (>= 1:2.4),
                flex (>= 2.5.34),
                dpkg-dev (>= 1.15.1),
                perl-doc,
@@ -132,7 +131,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer1.0-0 (>= 1.2.3)
+         libgstreamer1.0-0 (>= 1.3.90)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,6 @@
 export HOME=$(CURDIR)/fake-home
 
 DEB_DH_AUTORECONF_ARGS += --as-needed
-
-# make autoreconf not call autopoint since we ship a patch for po/Makefile.in.in
-export AUTOPOINT=true
 
 CFLAGS += -Wno-error
 CXXFLAGS += -Wno-error
@@ -248,3 +245,4 @@
 	-rm -f debian/shlibs.local
 
 install/$(gst_lib_dev)::
+	gcc -o debian/tmp/usr/bin/gst-codec-info-1.0 debian/gst-codec-info.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) `pkg-config --libs --cflags glib-2.0 gthread-2.0 gmodule-no-export-2.0 gobject-2.0` debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstreamer-1.0.so -Idebian/tmp/usr/include/gstreamer-1.0

## gstreamer1.0 1.4.4

=== debian/changelog ===
gstreamer1.0 (1.4.4-2+deb8u1) jessie-security; urgency=high

  * debian/patches/0001-datetime-fix-potential-out-of-bound-read-on-malforme.patch:
    + The gst_date_time_new_from_iso8601_string function in gst/gstdatetime.c
      in GStreamer before 1.10.3 allows remote attackers to cause a denial of
      service (out-of-bounds heap read) via a malformed datetime string.
      https://bugzilla.gnome.org/show_bug.cgi?id=777263

      Fixes CVE-2017-5838

 -- Sebastian Dröge <slomo@debian.org>  Sat, 25 Mar 2017 14:07:00 +0200

gstreamer1.0 (1.4.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 Nov 2014 13:29:18 +0100

gstreamer1.0 (1.4.4-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 06 Nov 2014 12:40:45 +0100

gstreamer1.0 (1.4.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Remove outdated mangling of debian/shlibs.local, this is
    breaking dependencies generation for gir packages. This fix should really
    Closes: #761019

 -- Laurent Bigonville <bigon@debian.org>  Sun, 02 Nov 2014 17:14:38 +0100

gstreamer1.0 (1.4.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing libgstreamer dependency to the gir package (closes: #761019).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 02 Nov 2014 04:02:20 +0000

=== debian/control ===
--- 
+++ 
@@ -131,7 +131,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer1.0-0 (>= 1.3.90)
+         libgstreamer1.0-0 (>= 1.4.3)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

=== debian/rules ===
--- 
+++ 
@@ -225,24 +225,8 @@
 DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS
 DEB_SHLIBDEPS_INCLUDE += debian/$(gst_lib)/usr/lib/$(DEB_HOST_MULTIARCH)
 
-# override shlibs for libraries from this source before computing dependencies
-# of packages generated from this source; we already have inter-dependencies
-# expressed manually in the control file, we do not need the shlibs to add
-# duplicates
-# (this rule runs just before the dh_shlibdeps)
-common-binary-fixup-arch::
-	mkdir -p $(CURDIR)/fake-home
-	HOME=$(CURDIR)/fake-home \
-	dh_girepository -pgir1.2-gstreamer-$(gst_abi)
-	rm -rf $(CURDIR)/fake-home
-	-rm -f debian/shlibs.local
-	cat debian/*/DEBIAN/shlibs | \
-		sed -n -r -e 's/(([^ ]+: )?([^ ]+) ([^ ]+)) .*/\1/p' \
-			> debian/shlibs.local
-
-# (this rules runs just after the dh_shlibdeps)
-common-binary-predeb-arch::
-	-rm -f debian/shlibs.local
-
 install/$(gst_lib_dev)::
 	gcc -o debian/tmp/usr/bin/gst-codec-info-1.0 debian/gst-codec-info.c $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) `pkg-config --libs --cflags glib-2.0 gthread-2.0 gmodule-no-export-2.0 gobject-2.0` debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstreamer-1.0.so -Idebian/tmp/usr/include/gstreamer-1.0
+	perldoc -o man debian/dh_gstscancodecs > debian/tmp/usr/share/man/man1/dh_gstscancodecs.1
+
+.PHONY: maint

## gstreamer1.0 1.4.5

=== debian/changelog ===
gstreamer1.0 (1.4.5-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Dec 2014 12:22:01 +0100

## gstreamer1.0 1.6.0

=== debian/changelog ===
gstreamer1.0 (1.6.0-1) unstable; urgency=medium

  * New stable upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 25 Sep 2015 22:45:29 +0200

gstreamer1.0 (1.5.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Sep 2015 18:57:10 +0200

gstreamer1.0 (1.5.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Aug 2015 12:40:43 +0300

gstreamer1.0 (1.5.2-1) experimental; urgency=medium

  * New unstable upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Jun 2015 22:47:31 +0200

gstreamer1.0 (1.5.1-3) experimental; urgency=medium

  * debian/rules,
    debian/libgstreamer.postinst:
    + Explicitely specify the architecture dependent lib directory, otherwise
      setcap will fail if the package is installed for multiple architures.
      It only allows one filename at a time (Closes: #788282).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 10 Jun 2015 10:13:10 +0200

gstreamer1.0 (1.5.1-2) experimental; urgency=medium

  * debian/patches/0001-ptp-Check-for-the-actual-API-we-use-instead-of-just-.patch:
    + Hopefully fix build on kFreeBSD and non-Linux in general.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 09 Jun 2015 11:15:55 +0200

gstreamer1.0 (1.5.1-1) experimental; urgency=medium

  * New unstable upstream release.
  * debian/control.in,
    debian/libgstreamer.postinst:
    + Install gst-ptp-helper with cap_net_bind_service,cap_net_admin
      capabilities, and otherwise fall back to setuid root. It needs
      to be able to listen for multicast on port 319 and 320.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 07 Jun 2015 09:48:18 +0200

gstreamer1.0 (1.5.0.1+git20150513-1) experimental; urgency=medium

  * New upstream GIT snapshot.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 13:19:02 +0300

gstreamer1.0 (1.5.0.1+git20150316-1) experimental; urgency=medium

  * New upstream GIT snapshot.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 16 Mar 2015 19:10:11 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                cdbs (>= 0.4.93~),
                gnome-pkg-tools (>= 0.7),
                autotools-dev,
-               automake (>= 1.11),
-               autoconf (>= 2.62),
+               automake (>= 1.14),
+               autoconf (>= 2.69),
                libtool (>= 2.2.6),
                dh-autoreconf,
                autopoint (>= 0.17),
@@ -27,7 +27,8 @@
                libgirepository1.0-dev (>= 0.9.12-4~),
                gobject-introspection (>= 0.9.12-4~),
                gir1.2-glib-2.0,
-               gir1.2-freedesktop
+               gir1.2-freedesktop,
+               libcap-dev [linux-any]
 Build-Depends-Indep: python (>= 2.2),
                      gtk-doc-tools (>= 1.12),
                      jade (>= 1.2.1),
@@ -49,7 +50,8 @@
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libcap2-bin [linux-any]
 Suggests: gstreamer1.0-tools,
           gstreamer1.0-plugins-base
 Description: Core GStreamer libraries and elements
@@ -131,7 +133,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer1.0-0 (>= 1.4.3)
+         libgstreamer1.0-0 (>= 1.5.1)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters

## gstreamer1.0 1.6.3

=== debian/changelog ===
gstreamer1.0 (1.6.3-1ubuntu1) wily; urgency=medium

  * Upload from Debian unstable to wily. (LP: #1538524, #1529445)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 27 Jan 2016 12:24:32 +0000

gstreamer1.0 (1.6.3-1) unstable; urgency=medium

  * debian/control.in:
    + Build-depend on libgsl-dev | libgsl0-dev instead of just the latter.
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 23 Dec 2015 14:13:49 +0100

gstreamer1.0 (1.6.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Dec 2015 19:06:24 +0100

gstreamer1.0 (1.6.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Oct 2015 16:13:37 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                zlib1g-dev (>= 1:1.1.4),
                libglib2.0-dev (>= 2.32),
                libgmp3-dev,
-               libgsl0-dev,
+               libgsl-dev | libgsl0-dev,
                pkg-config (>= 0.11.0),
                bison (>= 1:2.4),
                flex (>= 2.5.34),
@@ -133,7 +133,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pkg-config,
-         libgstreamer1.0-0 (>= 1.5.1)
+         libgstreamer1.0-0 (>= 1.6.3)
 Suggests: gstreamer1.0-plugins-base
 Description: Tools for use with GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
